Task 25/Controllers/SurveyPageController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Task_23.Models;

namespace Task_23.Controllers
{
    public class SurveyPageController : Controller
    {
        QuizAnswerModel res = new QuizAnswerModel();
        UnitOfWork db = new UnitOfWork("DefaultConnection");

        [HttpGet]
        public ActionResult Index()
        {
            return View(res);
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Index(QuizAnswerModel answers)
        {
            if(ModelState.IsValid)
            {
                db.Answers.Create(res);
                db.Save();
                return View("Submitted", answers);
            }
            return Index();
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}

Task 25/Views/SurveyPage/Index.cshtml
@model Task_23.Models.QuizAnswerModel

@helper CheckboxList(string[] fruits)
{
    foreach (var key in Model.Fruits.Keys)
    {
        <br />
        @Html.CheckBoxFor(m => m.Fruits[key], new { @checked = "checked" })
        <label>@key</label>
    }
    <br />
}

@using (Html.BeginForm("Index", "SurveyPage", FormMethod.Post, new { @id = "answerFormId" }))
{
    @Html.AntiForgeryToken()
    <div class="editor-label">
        @Html.LabelFor(m => m.Name)
    </div>
    <div class="form-group">
        <div class="editor-field">
            @Html.TextBoxFor(m => m.Name)
            @Html.ValidationMessageFor(m => m.Name)
        </div>
    </div>

    <div class="editor-label">
        @Html.LabelFor(m => m.Surname)
    </div>
    <div class="form-group">
        <div class="editor-field">
            @Html.TextBoxFor(m => m.Surname)
            @Html.ValidationMessageFor(m => m.Surname)
        </div>
    </div>

    <div class="form-group">
        <div class="editore-field">
            <fieldset>
                <legend>Choose your favorite JS framework</legend>

                @Html.RadioButtonFor(m => m.Framework, "Angular")
                <label>Angular</label><br />

                @Html.RadioButtonFor(m => m.Framework, "React")
                <label>React</label><br />

                @Html.RadioButtonFor(m => m.Framework, "Vue.js")
                <label>Vue.js</label>
            </fieldset>
            @Html.ValidationMessageFor(m => m.Framework, "", new { @class = "error" })
        </div>
    </div>

    <div class="form-group">
        <div class="editore-field">
            <label>Choose a Language:</label>
            @Html.DropDownListFor(m => m.Language,
            new SelectList(new string[] { "C#", "C++", "Java", "Ruby", "JavaScript", "GO", "F#" }), "")
            <br />
            @Html.ValidationMessageFor(m => m.Language, "", new { @class = "error" })
        </div>
    </div>

    <div class="form-group">
        <div class="editore-field">
            <label>Choose a fruit:</label>
            @CheckboxList(new string[] { "Banana", "Apple", "Melon", "Watermelon", "Orange" })
        </div>
    </div>

    <input type="submit" value="Submit" class="btn btn-primary" />
}

@section Scripts {
    @Scripts.Render("~/bundles/FeedbackValidator")
    @Scripts.Render("~/bundles/jqueryval")
}

Task 25/Views/SurveyPage/Submitted.cshtml
@model Task_23.Models.QuizAnswerModel
@{
    ViewBag.Title = "Submitted";
}

<h1>Thanks for your participation @Model.Name @Model.Surname</h1>

<label>Your favorite framework:</label>
<p>@Model.Framework</p>

<label>Your favrotite language:</label>
<p>@Model.Language</p>

<label>Your fruits:</label>
@foreach (var el in Model.Fruits)
{
    if (el.Value)
    {
        <p>@el.Key</p>
    }
}
@if (!Model.Fruits.Any(x => x.Value))
{
    <p>There is no fruits have been chosen</p>
}